Package com.smartgwt.client.types

# Enum SkipJSONValidation

java.lang.Object
java.lang.Enum<SkipJSONValidation>
com.smartgwt.client.types.SkipJSONValidation

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<SkipJSONValidation>`, `Constable`

public enum SkipJSONValidation extends Enum<SkipJSONValidation> implements ValueEnum

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FULL`
  Skip validation for all fields.
  `NONE`
  Always do validation.
  `PARTIAL`
  Skip validation for fields with boolean, numeric, or string-drived types.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static SkipJSONValidation`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static SkipJSONValidation[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FULL

    public static final SkipJSONValidation FULL
    Skip validation for all fields. In this mode, valueXPaths and getFieldValue implementations are skipped.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "full".

  - ### PARTIAL

    public static final SkipJSONValidation PARTIAL
    Skip validation for fields with boolean, numeric, or string-drived types. Note that you must deliver all `DataSourceField.multiple`:true values as arrays.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "partial".

  - ### NONE

    public static final SkipJSONValidation NONE
    Always do validation.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

- ## Method Details

  - ### values

    public static SkipJSONValidation[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static SkipJSONValidation valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`